writeData {arf3DS4} | R Documentation

## Write NIFTI/ANALYZE files.

### Description

Write a data-vector to a NIFTI/ANALYZE file.

### Usage

    writeData(headinf, datavec)

### Arguments

`headinf` | An object of class "fmri.data".
`datavec` | An optional data-vector to be written to the nifti/analyze file. If no `datavec` is given the `@datavector` slot of the fmri.data-object is used.

### Details

All information on filetype `@filetype`, path `@fullpath`, and filename `@filename` are within the fmri.data-object (also see `nifti.fileinfo`). Changing these values will modify where and how the data are saved.

### Value

Returns `TRUE` when successful.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### References

See the Nifti homepage (http://nifti.nimh.nih.gov/) for more information on the nifti filetype.

### See Also

`fmri.data`, `nifti.header`, `nifti.fileinfo`, `readData`

[Package arf3DS4 version 2.5-10 Index]